{$CODEPAGE UTF8}
uses systemcalls;
var fp  : QWord;
begin

wrt('abcdef');
wrtln;
wrt('Hello from '+#27+'[93;1mmain'+#27+'[0m!'+#10#0);
wrtln('AHello from '+#27+'[93;1mmain'+#27+'[0m!'+#10#0);
wrt('Hello from '+#27+'[93;1mmain'+#27+'[0m!'+#10#0, STDERR);
wrtln('рус EHello from '+#27+'[93;1mmain ру'+#27+'[0m!'+#10#0, STDERR);

fp := opn('/tmp/a',&0102, &0666);
writeln(stderr,fp);
if fp > 4000000000 then writeln('error');

wrt('NNNNNN', fp);

clos(fp);

fp := opn('/tmp/b');
wrt('SSSSS', fp);
clos(fp);

quit(255);
writeln('*');
end.